# Plain nginx for now so that we can test out reverse dns
resource kubernetes_pod shockrah {
  metadata {
    name = var.shockrahxyz.name
    namespace = kubernetes_namespace.websites.metadata.0.name
    labels = {
      app = var.shockrahxyz.name
    }
  }
  spec {
    container {
      image = "nginx"
      name  = "${var.shockrahxyz.name}"
      port {
        container_port = 80
      }
    }
  }
}

# Expose the pod above with a simple service
resource kubernetes_service shockrah {
  metadata {
    name = var.shockrahxyz.name
    namespace = kubernetes_namespace.websites.metadata.0.name
  }
  spec {
    selector = {
      app = kubernetes_pod.shockrah.metadata.0.labels.app
    }
    port {
      port = var.shockrahxyz.port
      target_port = 80
    }
    type = "ExternalName"
    external_name = var.shockrahxyz.dns
  }
}

resource kubernetes_ingress_v1 shockrah {
  metadata {
    name = "shockrah"
  }
  spec {
    rule {
      http {
        path {
          path = "/"
          backend {
            service {
              name = var.shockrahxyz.name
              port {
                number = var.shockrahxyz.port
              }
            }
          }
        }
      }
    }
  }
}


